Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.microstar.xml
Class XmlException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.microstar.xml.XmlException

All Implemented Interfaces:
  java.io.Serializable

public class XmlException
extends java.lang.Exception

Convenience exception class for reporting XML parsing errors.

This is an exception class that you can use to encapsulate all of the information from Ælfred's `error` callback. This is not necessary for routine use of Ælfred, but it is used by the optional `HandlerBase` class.

Note that the core Ælfred classes do not use this exception.

Version:
  1.1
Author:
  Copyright (c) 1998 by Microstar Software Ltd., written by David Megginson <dmeggins@microstar.com>
See Also:
  `XmlHandler.error(java.lang.String, java.lang.String, int, int)`, `HandlerBase`, Serialized Form

Constructor Summary
`XmlException(java.lang.String message, java.lang.String systemId, int line, int column)` Construct a new XML parsing exception.

Method Summary
`int` | `getColumn()` Get the column number containing the error.
`int` | `getLine()` Get the line number containing the error.
`java.lang.String` | `getMessage()` Get the error message from the parser.
`java.lang.String` | `getSystemId()` Get the URI of the entity containing the error.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XmlException

    public XmlException(java.lang.String message,
                        java.lang.String systemId,
                        int line,
                        int column)

  Construct a new XML parsing exception.

Parameters:
  `message` - The error message from the parser.
  `systemId` - The URI of the entity containing the error.
  `line` - The line number where the error appeared.
  `column` - The column number where the error appeared.

Method Detail

### getMessage

    public java.lang.String getMessage()

  Get the error message from the parser.

  Returns:
    A string describing the error.

### getSystemId

    public java.lang.String getSystemId()

  Get the URI of the entity containing the error.

  Returns:
    The URI as a string.

### getLine

    public int getLine()

  Get the line number containing the error.

  Returns:
    The line number as an integer.

### getColumn

    public int getColumn()

  Get the column number containing the error.

  Returns:
    The column number as an integer.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD